Retry an agent message
curl --request POST \
--url https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/messages/{mId}/retry \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/messages/{mId}/retry"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/messages/{mId}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": {
"type": "agent_message",
"sId": "<string>",
"version": 123,
"rank": 123,
"parentMessageId": "<string>",
"id": 123,
"agentMessageId": 123,
"created": 123,
"completedTs": 123,
"parentAgentMessageId": "<string>",
"content": "<string>",
"chainOfThought": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"metadata": {}
},
"configuration": {
"id": 123,
"sId": "<string>",
"version": 123,
"name": "<string>",
"description": "<string>",
"pictureUrl": "<string>",
"model": {
"providerId": "<string>",
"modelId": "<string>",
"temperature": 123
},
"maxStepsPerRun": 123,
"tags": [
{
"sId": "<string>",
"name": "<string>"
}
],
"versionCreatedAt": "<string>",
"versionAuthorId": 123,
"instructions": "<string>",
"userFavorite": true,
"templateId": "<string>",
"requestedGroupIds": [
[
"<string>"
]
],
"requestedSpaceIds": [
"<string>"
],
"canRead": true,
"canEdit": true,
"lastAuthors": [
"<string>"
],
"editors": [
{
"sId": "<string>",
"fullName": "<string>",
"image": "<string>"
}
],
"usage": {
"messageCount": 123,
"conversationCount": 123,
"userCount": 123,
"timePeriodSec": 123
},
"feedbacks": {
"up": 123,
"down": 123
}
},
"actions": [
{}
],
"contents": [
{
"step": 123,
"content": {}
}
],
"skipToolsValidation": true,
"richMentions": [
{
"id": "<string>",
"label": "<string>",
"pictureUrl": "<string>",
"description": "<string>",
"dismissed": true,
"userFavorite": true
}
],
"completionDurationMs": 123,
"reactions": [
{
"emoji": "<string>",
"users": [
{
"userId": "<string>",
"username": "<string>",
"fullName": "<string>"
}
]
}
],
"costCredits": 123,
"subAgentCostCredits": 123,
"resolvedModel": {
"providerId": "<string>",
"modelId": "<string>",
"reasoningEffort": "<string>"
}
}
}Private Messages
Retry an agent message
Retry generating an agent message response, optionally retrying only blocked actions.
POST
/
api
/
w
/
{wId}
/
assistant
/
conversations
/
{cId}
/
messages
/
{mId}
/
retry
Retry an agent message
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
ID of the workspace
ID of the conversation
ID of the message
Response
Successfully retried message
An agent message in a conversation.
Show child attributes
Show child attributes
⌘I